View Issue Details

IDProjectCategoryView StatusLast Update
0001611Ham Radio DeluxeBugpublic2017-05-24 22:44
ReporterWA9PIE 
Assigned ToERIK 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.2.4 
Summary0001611: WSI for Modes are incorrect for many modes
DescriptionWith a spot, we use a band plan to determine the mode. That’s good.

The WSI:Mode is wrong.

The three cases for WSI:Mode are shown above

* CW mode should consider anything that has "CW" in it. (could also be MCW)

* Phone mode should consider “AM, FM, SSB, USB, LSB, or SSTV”.

* Data (Digital) mode should consider any QSO that does not contain CW or Phone. So that's "does not contain CW, AM, FM, SSB, USB, LSB, or SSTV”.
Steps To Reproduce- Restore the log that's uploaded here

- Make sure you have the WSI:Mode showing

- Connect to VE7CC-1 (or any other cluster)
...to make things easier for this test, you can type "set/filter dxcty/pass K" at the console prompt so there won't be a bunch of non-US spots

- You can type sh/mydx/100 at the console prompt to get some spots (no need to send test spots; it only annoys DXers)

- Watch for spots from the United States. They should show up as Yellow Yield signs. But they won't (in most cases) because the logic in the Mode WSI is not working properly.

Those that are spotted in the digital modes portion of the band plan ALWAYS show a red X. Phone spots are matching to exact mode (LSB vs. USB and so on) rather than CW, Phone, or Data.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleDX Cluster
Testing

Relationships

related to 0001596 assigned 1 - Backlog Worked Status Indicators (WSI) for "Leaderboard" 

Activities

WA9PIE

2014-04-16 14:46

administrator  

Test Data backup 2014-04-16 1445.xml (8,118 bytes)

WA9PIE

2014-04-16 14:57

administrator  

WSI-Problem with Mode.JPG (385,974 bytes)

WA9PIE

2014-04-16 16:10

administrator   ~0000404

Last edited: 2014-04-16 16:11

View 2 revisions

Just a note about WHY we need to take the approach that all modes roll-up to THREE for the purpose of WSI.

DX Cluster messages do not contain mode information. So there's no way to know if a spot in the digital portion of a band is RTTY, PSK31, PSK63, MFSK16... Olivia... Contestia... JT65... and so on. Therefore, we must just roll-them-up into a single category called "Digital" (or Data).

Another reason for this is that LSB is the phone mode for 160m through 40m. USB is the phone mode for 20m and up. Both are SSB. Additionally, AM and FM can also happen in the phone portion of the band. Therefore, we must just roll-them-up into a single category called "Phone". (ie. no one will ever work a station on LSB on 20m... so there's no point in tracking them separately)

Therefore, the WSIs for Country, Band, and Mode are directly tied to DXCC by necessity. DXCC has only three modes - CW, Phone, and Digital.

WA9PIE

2014-04-18 15:27

administrator   ~0000405

Tested with small log. WSI:Mode is resolved and works with CW, Phone, and DIGI.

That said...

There's still an open bug for WSI:Band on Mode and WSI:Leaderboard. None of these are showing yellow yield signs.

WA9PIE

2014-04-18 16:21

administrator   ~0000406

There's a remaining problem with CW. (Sorry)

WA9PIE

2014-04-23 22:25

administrator   ~0000410

Tested and verified.

Issue History

Date Modified Username Field Change
2014-04-13 19:45 WA9PIE New Issue
2014-04-13 19:45 WA9PIE Status new => confirmed
2014-04-13 19:45 WA9PIE Assigned To => WA9PIE
2014-04-13 19:45 WA9PIE Status confirmed => assigned
2014-04-13 19:45 WA9PIE Assigned To WA9PIE => ERIK
2014-04-13 21:34 WA9PIE File Added: WSI-Mode-Wrong-01.JPG
2014-04-13 22:19 WA9PIE Summary Bug: WSI for Digital Modes/Data are always incorrect => Bug: WSI for Modes are incorrect for many modes
2014-04-14 09:17 WA9PIE Description Updated View Revisions
2014-04-14 09:21 WA9PIE Description Updated View Revisions
2014-04-14 09:21 WA9PIE Steps to Reproduce Updated View Revisions
2014-04-14 09:23 WA9PIE Description Updated View Revisions
2014-04-14 09:23 WA9PIE Additional Information Updated View Revisions
2014-04-16 14:45 WA9PIE Steps to Reproduce Updated View Revisions
2014-04-16 14:46 WA9PIE File Added: Test Data backup 2014-04-16 1445.xml
2014-04-16 14:46 WA9PIE Steps to Reproduce Updated View Revisions
2014-04-16 14:57 WA9PIE File Deleted: WSI-Mode-Wrong-01.JPG
2014-04-16 14:57 WA9PIE File Added: WSI-Problem with Mode.JPG
2014-04-16 14:59 WA9PIE Steps to Reproduce Updated View Revisions
2014-04-16 16:10 WA9PIE Note Added: 0000404
2014-04-16 16:11 WA9PIE Note Edited: 0000404 View Revisions
2014-04-17 07:12 WA9PIE Description Updated View Revisions
2014-04-17 07:12 WA9PIE Steps to Reproduce Updated View Revisions
2014-04-17 07:14 WA9PIE Relationship added related to 0001596
2014-04-18 15:27 WA9PIE Fix Build TBD => >255
2014-04-18 15:27 WA9PIE Note Added: 0000405
2014-04-18 15:27 WA9PIE Status assigned => closed
2014-04-18 15:27 WA9PIE Resolution open => fixed
2014-04-18 16:21 WA9PIE Note Added: 0000406
2014-04-18 16:21 WA9PIE Status closed => assigned
2014-04-23 22:25 WA9PIE Fix Build >255 => 257
2014-04-23 22:25 WA9PIE Note Added: 0000410
2014-04-23 22:25 WA9PIE Status assigned => closed
2014-10-08 22:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2014-10-08 22:13 WA9PIE Category Logbook => General
2015-09-30 12:06 WA9PIE Fix Build 257 => (select)
2015-09-30 12:06 WA9PIE Proposed Release => TBD
2015-09-30 12:06 WA9PIE Summary Bug: WSI for Modes are incorrect for many modes => WSI for Modes are incorrect for many modes
2015-09-30 13:35 WA9PIE Category General => Bug
2017-05-24 22:44 WA9PIE Fixed in Version => 6.2.4